## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationStatus

### Authentication::ezcAuthenticationStatus

### Class ezcAuthenticationStatus

Holds the statuses returned from each authentication filter.

Source for this file: /Authentication/src/status/authentication_status.php

Version: | //autogen//

### Method Summary

public void | `append( $class , $status )` Adds a new status to the list of statuses.
public array(string=>mixed) | `get( )` Returns the list of authentication statuses.

### Methods

#### append

void append( string $class , mixed|array(mixed) $status )

Adds a new status to the list of statuses.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string | The class name associated with the status
`$status` | mixed|array(mixed) | A status associated with the class name

#### get

array(string=>mixed) get( )

Returns the list of authentication statuses.

The format of the returned array is array( class => code ).

Example:

1. array(
2. 'ezcAuthenticationSession'=>ezcAuthenticationSession ::STATUS_EMPTY,
3. 'ezcAuthenticationDatabaseFilter'=>ezcAuthenticationDatabaseFilter ::STATUS_PASSWORD_INCORRECT
4. );

Documentation generated by phpDocumentor 1.4.3